Skip to main content
PATCH
/
v1
/
seller
/
channel
/
{Channel}
Update Seller
curl --request PATCH \
  --url https://scx-sbx.api.jtl-software.com/v1/seller/channel/{Channel} \
  --header 'Authorization: Bearer <token>'
{
  "updateUrl": "https://update.mybestdeals.com/?sid=c6b28bd5-e0b4-4857-9d9c-e8a9ac40241b&expires=1557149104",
  "sellerId": "4711",
  "expiresAt": 1557149104
}

Authorizations

Authorization
string
header
required

Bearer JWT issued to a seller after they sign up for a JTL-Scx subscription via the JTL Customer Center. Usage format: Bearer <JWT>.

Path Parameters

Channel
string
required

Channel identifier the seller-account update session is started for. This is the unique Channel name.

Pattern: ^\w{5,15}$
Example:

"MYBESTDEALCOMDE"

Query Parameters

sellerId
string

ID of the seller account whose channel link should be updated. A unique Id identify a Seller on a specific SalesChannel. The SellerId is generated from the Channel itself during the Seller SignUp Process.

Pattern: ^\w{1,50}$
Example:

"4711"

Response

Start a Seller Update Process

Result of starting a seller update session — contains the redirect URL the seller has to visit, the affected sellerId and session expiry.

updateUrl
string

URL the seller has to visit to update the existing channel link

Example:

"https://update.mybestdeals.com/?sid=c6b28bd5-e0b4-4857-9d9c-e8a9ac40241b&expires=1557149104"

sellerId
string

A unique Id identify a Seller on a specific SalesChannel. The SellerId is generated from the Channel itself during the Seller SignUp Process.

Pattern: ^\w{1,50}$
Example:

"4711"

expiresAt
integer<int64>
Example:

1557149104